package com.ruoyi.sapMaterial.service;

import java.util.List;
import com.ruoyi.sapMaterial.domain.SapMaterial;

/**
 * 物料管理Service接口
 * 
 * @author ruoyi
 * @date 2024-03-12
 */
public interface ISapMaterialService 
{
    /**
     * 查询物料管理
     * 
     * @param materialId 物料管理主键
     * @return 物料管理
     */
    public SapMaterial selectSapMaterialByMaterialId(Long materialId);

    /**
     * 查询物料管理列表
     * 
     * @param sapMaterial 物料管理
     * @return 物料管理集合
     */
    public List<SapMaterial> selectSapMaterialList(SapMaterial sapMaterial);

    /**
     * 新增物料管理
     * 
     * @param sapMaterial 物料管理
     * @return 结果
     */
    public int insertSapMaterial(SapMaterial sapMaterial);

    /**
     * 修改物料管理
     * 
     * @param sapMaterial 物料管理
     * @return 结果
     */
    public int updateSapMaterial(SapMaterial sapMaterial);

    /**
     * 批量删除物料管理
     * 
     * @param materialIds 需要删除的物料管理主键集合
     * @return 结果
     */
    public int deleteSapMaterialByMaterialIds(Long[] materialIds);

    /**
     * 删除物料管理信息
     * 
     * @param materialId 物料管理主键
     * @return 结果
     */
    public int deleteSapMaterialByMaterialId(Long materialId);
}
